commit 40f382e88d0391ffaa4098c92cbf339a7924a629
Author: Andreas Krebbel <krebbel@linux.ibm.com>
Date:   Tue Mar 12 14:09:55 2019 +0100

    S/390: arch13: Adjust to recent changes
    
    opcodes/ChangeLog:
    
    2019-03-12  Andreas Krebbel  <krebbel@linux.ibm.com>
    
    	* s390-opc.txt: Rename selhhhr to selfhr.  Remove optional operand
    	from vstrszb, vstrszh, and vstrszf.
    
    gas/ChangeLog:
    
    2019-03-12  Andreas Krebbel  <krebbel@linux.ibm.com>
    
    	* testsuite/gas/s390/zarch-arch13.s: Adjust testcase to optable changes.
    	* testsuite/gas/s390/zarch-arch13.d: Likewise.

diff --git a/gas/testsuite/gas/s390/zarch-arch13.d b/gas/testsuite/gas/s390/zarch-arch13.d
index 2530be6..fecbeb5 100644
--- a/gas/testsuite/gas/s390/zarch-arch13.d
+++ b/gas/testsuite/gas/s390/zarch-arch13.d
@@ -61,27 +61,27 @@ Disassembly of section .text:
 .*:	b9 e3 bd 69 [	 ]*selgrnh	%r6,%r9,%r11
 .*:	b9 e3 bd 69 [	 ]*selgrnh	%r6,%r9,%r11
 .*:	b9 e3 be 69 [	 ]*selgrno	%r6,%r9,%r11
-.*:	b9 c0 bd 69 [	 ]*selhhhrnh	%r6,%r9,%r11
-.*:	b9 c0 b1 69 [	 ]*selhhhro	%r6,%r9,%r11
-.*:	b9 c0 b2 69 [	 ]*selhhhrh	%r6,%r9,%r11
-.*:	b9 c0 b2 69 [	 ]*selhhhrh	%r6,%r9,%r11
-.*:	b9 c0 b3 69 [	 ]*selhhhrnle	%r6,%r9,%r11
-.*:	b9 c0 b4 69 [	 ]*selhhhrl	%r6,%r9,%r11
-.*:	b9 c0 b4 69 [	 ]*selhhhrl	%r6,%r9,%r11
-.*:	b9 c0 b5 69 [	 ]*selhhhrnhe	%r6,%r9,%r11
-.*:	b9 c0 b6 69 [	 ]*selhhhrlh	%r6,%r9,%r11
-.*:	b9 c0 b7 69 [	 ]*selhhhrne	%r6,%r9,%r11
-.*:	b9 c0 b7 69 [	 ]*selhhhrne	%r6,%r9,%r11
-.*:	b9 c0 b8 69 [	 ]*selhhhre	%r6,%r9,%r11
-.*:	b9 c0 b8 69 [	 ]*selhhhre	%r6,%r9,%r11
-.*:	b9 c0 b9 69 [	 ]*selhhhrnlh	%r6,%r9,%r11
-.*:	b9 c0 ba 69 [	 ]*selhhhrhe	%r6,%r9,%r11
-.*:	b9 c0 bb 69 [	 ]*selhhhrnl	%r6,%r9,%r11
-.*:	b9 c0 bb 69 [	 ]*selhhhrnl	%r6,%r9,%r11
-.*:	b9 c0 bc 69 [	 ]*selhhhrle	%r6,%r9,%r11
-.*:	b9 c0 bd 69 [	 ]*selhhhrnh	%r6,%r9,%r11
-.*:	b9 c0 bd 69 [	 ]*selhhhrnh	%r6,%r9,%r11
-.*:	b9 c0 be 69 [	 ]*selhhhrno	%r6,%r9,%r11
+.*:	b9 c0 bd 69 [	 ]*selfhrnh	%r6,%r9,%r11
+.*:	b9 c0 b1 69 [	 ]*selfhro	%r6,%r9,%r11
+.*:	b9 c0 b2 69 [	 ]*selfhrh	%r6,%r9,%r11
+.*:	b9 c0 b2 69 [	 ]*selfhrh	%r6,%r9,%r11
+.*:	b9 c0 b3 69 [	 ]*selfhrnle	%r6,%r9,%r11
+.*:	b9 c0 b4 69 [	 ]*selfhrl	%r6,%r9,%r11
+.*:	b9 c0 b4 69 [	 ]*selfhrl	%r6,%r9,%r11
+.*:	b9 c0 b5 69 [	 ]*selfhrnhe	%r6,%r9,%r11
+.*:	b9 c0 b6 69 [	 ]*selfhrlh	%r6,%r9,%r11
+.*:	b9 c0 b7 69 [	 ]*selfhrne	%r6,%r9,%r11
+.*:	b9 c0 b7 69 [	 ]*selfhrne	%r6,%r9,%r11
+.*:	b9 c0 b8 69 [	 ]*selfhre	%r6,%r9,%r11
+.*:	b9 c0 b8 69 [	 ]*selfhre	%r6,%r9,%r11
+.*:	b9 c0 b9 69 [	 ]*selfhrnlh	%r6,%r9,%r11
+.*:	b9 c0 ba 69 [	 ]*selfhrhe	%r6,%r9,%r11
+.*:	b9 c0 bb 69 [	 ]*selfhrnl	%r6,%r9,%r11
+.*:	b9 c0 bb 69 [	 ]*selfhrnl	%r6,%r9,%r11
+.*:	b9 c0 bc 69 [	 ]*selfhrle	%r6,%r9,%r11
+.*:	b9 c0 bd 69 [	 ]*selfhrnh	%r6,%r9,%r11
+.*:	b9 c0 bd 69 [	 ]*selfhrnh	%r6,%r9,%r11
+.*:	b9 c0 be 69 [	 ]*selfhrno	%r6,%r9,%r11
 .*:	e6 f6 9f a0 d0 06 [	 ]*vlbr	%v15,4000\(%r6,%r9\),13
 .*:	e6 f6 9f a0 10 06 [	 ]*vlbrh	%v15,4000\(%r6,%r9\)
 .*:	e6 f6 9f a0 20 06 [	 ]*vlbrf	%v15,4000\(%r6,%r9\)
@@ -130,11 +130,8 @@ Disassembly of section .text:
 .*:	e7 f1 42 00 87 8b [	 ]*vstrsf	%v15,%v17,%v20,%v24
 .*:	e7 f1 42 d0 87 8b [	 ]*vstrsf	%v15,%v17,%v20,%v24,13
 .*:	e7 f1 40 20 87 8b [	 ]*vstrszb	%v15,%v17,%v20,%v24
-.*:	e7 f1 40 f0 87 8b [	 ]*vstrszb	%v15,%v17,%v20,%v24,13
 .*:	e7 f1 41 20 87 8b [	 ]*vstrszh	%v15,%v17,%v20,%v24
-.*:	e7 f1 41 f0 87 8b [	 ]*vstrszh	%v15,%v17,%v20,%v24,13
 .*:	e7 f1 42 20 87 8b [	 ]*vstrszf	%v15,%v17,%v20,%v24
-.*:	e7 f1 42 f0 87 8b [	 ]*vstrszf	%v15,%v17,%v20,%v24,13
 .*:	e7 f1 00 bc d4 c3 [	 ]*vcfps	%v15,%v17,13,12,11
 .*:	e7 f1 00 cd 24 c3 [	 ]*wcefb	%v15,%v17,5,12
 .*:	e7 f1 00 cd 24 c3 [	 ]*wcefb	%v15,%v17,5,12
@@ -154,3 +151,4 @@ Disassembly of section .text:
 .*:	e6 6f 00 d0 00 52 [	 ]*vcvbg	%r6,%v15,13
 .*:	e6 6f 00 dc 00 52 [	 ]*vcvbg	%r6,%v15,13,12
 .*:	b9 3a 00 69 [	 ]*kdsa	%r6,%r9
+.*:	07 07 [	 ]*nopr	%r7
diff --git a/gas/testsuite/gas/s390/zarch-arch13.s b/gas/testsuite/gas/s390/zarch-arch13.s
index 2dbbafb..9563a1b 100644
--- a/gas/testsuite/gas/s390/zarch-arch13.s
+++ b/gas/testsuite/gas/s390/zarch-arch13.s
@@ -55,27 +55,27 @@ foo:
 	selgrnh	%r6,%r9,%r11
 	selgrnp	%r6,%r9,%r11
 	selgrno	%r6,%r9,%r11
-	selhhhr	%r6,%r9,%r11,13
-	selhhhro	%r6,%r9,%r11
-	selhhhrh	%r6,%r9,%r11
-	selhhhrp	%r6,%r9,%r11
-	selhhhrnle	%r6,%r9,%r11
-	selhhhrl	%r6,%r9,%r11
-	selhhhrm	%r6,%r9,%r11
-	selhhhrnhe	%r6,%r9,%r11
-	selhhhrlh	%r6,%r9,%r11
-	selhhhrne	%r6,%r9,%r11
-	selhhhrnz	%r6,%r9,%r11
-	selhhhre	%r6,%r9,%r11
-	selhhhrz	%r6,%r9,%r11
-	selhhhrnlh	%r6,%r9,%r11
-	selhhhrhe	%r6,%r9,%r11
-	selhhhrnl	%r6,%r9,%r11
-	selhhhrnm	%r6,%r9,%r11
-	selhhhrle	%r6,%r9,%r11
-	selhhhrnh	%r6,%r9,%r11
-	selhhhrnp	%r6,%r9,%r11
-	selhhhrno	%r6,%r9,%r11
+	selfhr	%r6,%r9,%r11,13
+	selfhro	%r6,%r9,%r11
+	selfhrh	%r6,%r9,%r11
+	selfhrp	%r6,%r9,%r11
+	selfhrnle	%r6,%r9,%r11
+	selfhrl	%r6,%r9,%r11
+	selfhrm	%r6,%r9,%r11
+	selfhrnhe	%r6,%r9,%r11
+	selfhrlh	%r6,%r9,%r11
+	selfhrne	%r6,%r9,%r11
+	selfhrnz	%r6,%r9,%r11
+	selfhre	%r6,%r9,%r11
+	selfhrz	%r6,%r9,%r11
+	selfhrnlh	%r6,%r9,%r11
+	selfhrhe	%r6,%r9,%r11
+	selfhrnl	%r6,%r9,%r11
+	selfhrnm	%r6,%r9,%r11
+	selfhrle	%r6,%r9,%r11
+	selfhrnh	%r6,%r9,%r11
+	selfhrnp	%r6,%r9,%r11
+	selfhrno	%r6,%r9,%r11
 	vlbr	%v15,4000(%r6,%r9),13
 	vlbrh	%v15,4000(%r6,%r9)
 	vlbrf	%v15,4000(%r6,%r9)
@@ -124,11 +124,8 @@ foo:
 	vstrsf	%v15,%v17,%v20,%v24
 	vstrsf	%v15,%v17,%v20,%v24,13
 	vstrszb	%v15,%v17,%v20,%v24
-	vstrszb	%v15,%v17,%v20,%v24,13
 	vstrszh	%v15,%v17,%v20,%v24
-	vstrszh	%v15,%v17,%v20,%v24,13
 	vstrszf	%v15,%v17,%v20,%v24
-	vstrszf	%v15,%v17,%v20,%v24,13
 	vcfps	%v15,%v17,13,12,11
 	vcefb	%v15,%v17,13,12
 	wcefb	%v15,%v17,13,12
diff --git a/opcodes/s390-opc.txt b/opcodes/s390-opc.txt
index 58a2490..7569a56 100644
--- a/opcodes/s390-opc.txt
+++ b/opcodes/s390-opc.txt
@@ -1910,8 +1910,8 @@ b9f0 selr RRF_RURR "select 32 bit" arch13 zarch
 b9f00000 selr*20 RRF_R0RR3 "select 32 bit" arch13 zarch
 b9e3 selgr RRF_RURR "select 64 bit" arch13 zarch
 b9e30000 selgr*20 RRF_R0RR3 "select 64 bit" arch13 zarch
-b9c0 selhhhr RRF_RURR "select high" arch13 zarch
-b9c00000 selhhhr*20 RRF_R0RR3 "select high" arch13 zarch
+b9c0 selfhr RRF_RURR "select high" arch13 zarch
+b9c00000 selfhr*20 RRF_R0RR3 "select high" arch13 zarch
 
 # Vector Enhancements Facility 2
 
@@ -1969,9 +1969,9 @@ e7000000008b vstrsb VRR_VVVU0VB "vector string search byte" arch13 zarch optparm
 e7000100008b vstrsh VRR_VVVU0VB "vector string search halfword" arch13 zarch optparm
 e7000200008b vstrsf VRR_VVVU0VB "vector string search word" arch13 zarch optparm
 
-e7000020008b vstrszb VRR_VVVU0VB2 "vector string search byte zero" arch13 zarch optparm
-e7000120008b vstrszh VRR_VVVU0VB2 "vector string search halfword zero" arch13 zarch optparm
-e7000220008b vstrszf VRR_VVVU0VB2 "vector string search word zero" arch13 zarch optparm
+e7000020008b vstrszb VRR_VVV0V "vector string search byte zero" arch13 zarch
+e7000120008b vstrszh VRR_VVV0V "vector string search halfword zero" arch13 zarch
+e7000220008b vstrszf VRR_VVV0V "vector string search word zero" arch13 zarch
 
 e700000000c3 vcfps VRR_VV0UUU "vector fp convert from fixed" arch13 zarch
 e700000020c3 vcefb VRR_VV0UU "vector fp convert from fixed 32 bit" arch13 zarch
